Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
business_data
/
tripadvisor
/
reviews
/
task_post
Setting Business Data Tripadvisor Reviews Tasks
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/business_data/tripadvisor/reviews/task_post \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url_path": "<string>",
  "keyword": "<string>",
  "location_name": "<string>",
  "location_code": 123,
  "priority": 123,
  "language_name": "<string>",
  "language_code": "<string>",
  "depth": 123,
  "ratings": [
    "<string>"
  ],
  "visit_type": [
    "<string>"
  ],
  "months": [
    "<string>"
  ],
  "search_reviews_keyword": "<string>",
  "sort_by": "<string>",
  "translate_reviews": true,
  "tag": "<string>",
  "postback_url": "<string>",
  "pingback_url": "<string>"
}
'
{
  "version": "<string>",
  "version.status_code": 123,
  "version.status_message": "<string>",
  "version.time": "<string>",
  "version.cost": 123,
  "version.tasks_count": 123,
  "version.tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "result": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
url_path
string
required

URL path of the business entity required field if you do not specify keyword URL path to the Tripadvisor page of the business entity; examples: Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html https://www.tripadvisor.com/Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html

keyword
string
required

keyword required field if you do not specify url_path the keyword you specify should indicate a name of an existing business or prominent place on Tripadvisor; you can specify up to 700 characters in the keyword filed; all %## will be decoded (plus character ‘+’ will be decoded to a space character); if you need to use the “%” character for your keyword, please specify it as “%25”

location_name
string
required

full name of search engine location required field if you don’t specify location_code or url_path you can receive the list of available locations with location_name by making a separate request to the https://api.dataforseo.com/v3/business_data/tripadvisor/locations example: London,England,United Kingdom

location_code
integer
required

search engine location code required field if you don’t specify location_name or url_path you can receive the list of available locations with location_code by making a separate request to the https://api.dataforseo.com/v3/business_data/tripadvisor/locations example: 1003854

priority
integer

task priority optional field can take the following values: 1 – normal execution priority (set by default) 2 – high execution priority You will be additionally charged for the tasks with high execution priority. The cost can be calculated on the Pricing page.

language_name
string

full name of search engine language optional field if you use this field, your account will be charged for one extra request you can receive the list of available languages with language_name by making a separate request to the https://api.dataforseo.com/v3/business_data/tripadvisor/languages example: English You will be additionally charged for setting a language parameter in this endpoint. The cost can be calculated on the Pricing page.

language_code
string

search engine language code optional field if you use this field, your account will be charged for one extra request you can receive the list of available languages with language_code by making a separate request to the https://api.dataforseo.com/v3/business_data/tripadvisor/languages example: en You will be additionally charged for setting a language parameter in this endpoint. The cost can be calculated on the Pricing page.

depth
integer

parsing depth optional field number of reviews in SERP; we strongly recommend setting the parsing depth in the multiples of ten, because our systems processes ten reviews in a row; default value: 10; max value: 4490 Your account will be billed per each SERP containing up to 10 results; Setting depth above 10 may result in additional charges if the search engine returns more than 10 results; The cost can be calculated on the Pricing page.

ratings
string[]

Tripadvisor traveler rating for a place of interest optional field rating based on the written reviews by a traveler after they visited a place. possible values: excellent, very_good, average, poor, terrible you can specify several values at once

visit_type
string[]

filter by type of travelers who left a review optional field possible values: families, couples, solo, business, friends you can specify several values at once

months
string[]

filter by months when a traveler made a visit optional field possible values: january, february, march, april, may, april, june, july, august, september, october, november, december you can specify several values at once

search_reviews_keyword
string

search reviews containing a specified keyword example: dessert

sort_by
string

results sorting parameters optional field you can use this field to sort the results; possible types of sorting: most_recent detailed_reviews

translate_reviews
boolean

translate reviews according to the URL path optional field if set to true, returned reviews will be translated to the language matching the specified url_path; for example, if url_path contains tripadvisor.it and translate_reviews is true, reviews will be translated to the Italian language; default value: true you can learn more about how reviews are translated in this Help Center article

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

postback_url
string

return URL for sending task results optional field once the task is completed, we will send a POST request with its results compressed in the gzip format to the postback_url you specified you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request. example: http://your-server.com/postbackscript?id=$id http://your-server.com/postbackscript?id=$id&tag=$tag Note: special characters in postback_url will be urlencoded; i.a., the # character will be encoded into %23learn more on our Help Center

pingback_url
string

notification URL of a completed task optional field when a task is completed we will notify you by GET request sent to the URL you have specified you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request. example: http://your-server.com/pingscript?id=$id http://your-server.com/pingscript?id=$id&tag=$tag Note: special characters in pingback_url will be urlencoded; i.a., the # character will be encoded into %23learn more on our Help Center

Response

Successful response

version
string

the current version of the API

version.status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

version.status_message
string

general informational message you can find the full list of general informational messages here

version.time
string

execution time, seconds

version.cost
number

total tasks cost, USD

version.tasks_count
integer

*the number of tasks in the **tasks*array

version.tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

unique task identifier in our system in the Universally unique identifier (UUID) format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000

tasks.status_message
string

informational message of the task

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

result
string[]

array of results in this case, the value will be null